Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugLineNumberEntry

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugLineNumberEntry,MonoDebugLineNumberEntry.ByValue,MonoDebugLineNumberEntry.ByReference>
              com.nativelibs4java.mono.MonoDebugLineNumberEntry

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugLineNumberEntry,MonoDebugLineNumberEntry.ByValue,MonoDebugLineNumberEntry.ByReference>>

Direct Known Subclasses:
  MonoDebugLineNumberEntry.ByReference, MonoDebugLineNumberEntry.ByValue

    public class MonoDebugLineNumberEntry

extends Structure<MonoDebugLineNumberEntry,MonoDebugLineNumberEntry.ByValue,MonoDebugLineNumberEntry.ByReference>

native declaration : mono\metadata\debug-mono-symfile.h:79
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugLineNumberEntry.ByReference`
`static class` | `MonoDebugLineNumberEntry.ByValue`

Field Summary
`int` | `il_offset`
`int` | `native_offset`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugLineNumberEntry()`
`MonoDebugLineNumberEntry(int il_offset, int native_offset)`

Method Summary
`protected MonoDebugLineNumberEntry.ByReference` | `newByReference()`
`protected MonoDebugLineNumberEntry.ByValue` | `newByValue()`
`protected MonoDebugLineNumberEntry` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### il_offset

    public int il_offset

### native_offset

    public int native_offset

Constructor Detail

### MonoDebugLineNumberEntry

    public MonoDebugLineNumberEntry()

### MonoDebugLineNumberEntry

    public MonoDebugLineNumberEntry(int il_offset,
                                    int native_offset)

Method Detail

### newByReference

    protected MonoDebugLineNumberEntry.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugLineNumberEntry,MonoDebugLineNumberEntry.ByValue,MonoDebugLineNumberEntry.ByReference>`

### newByValue

    protected MonoDebugLineNumberEntry.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugLineNumberEntry,MonoDebugLineNumberEntry.ByValue,MonoDebugLineNumberEntry.ByReference>`

### newInstance

    protected MonoDebugLineNumberEntry newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugLineNumberEntry,MonoDebugLineNumberEntry.ByValue,MonoDebugLineNumberEntry.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD